Skip to main content
GET
/
v1
/
org
/
{org_id}
Get organization
curl --request GET \
  --url https://api.twine.se/v1/org/{org_id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
    "custom_properties": [
      {
        "domain": "employee",
        "id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
        "property": "shoe_size",
        "type": "enum",
        "description": "The size of the employee's shoes",
        "list": false,
        "reference_domain": "employee"
      }
    ],
    "delete_protection": true,
    "delete_protection_disabled_at": "2021-06-01T12:00:00Z",
    "name": "AcmeCorp Inc.",
    "owner_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
    "parent_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
    "roles": [
      {
        "id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
        "name": "Admin Role",
        "tokens": [
          {
            "exp": 1672531199,
            "jti": "<string>",
            "jwt": "s3cr3t-t0k3n",
            "typ": "access"
          }
        ]
      }
    ],
    "vat": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b"
  }
}

Authorizations

Authorization
string
header
required

Bearer token for authentication

Path Parameters

org_id
string
required

Twine specific Organization UUID

Response

Organization Response

A response object with a single organization

data
Organization · object
required

An object representing an organization in Twine. Please note that the primary key for organizations is org_id, not id.